Red Hat Security Advisory 2022-7272-01

—–BEGIN PGP SIGNED MESSAGE—–
Hash: SHA256

====================================================================
Red Hat Security Advisory

Synopsis: Moderate: Red Hat JBoss Web Server 5.7.0 release and security update
Advisory ID: RHSA-2022:7272-01
Product: Red Hat JBoss Web Server
Advisory URL: https://access.redhat.com/errata/RHSA-2022:7272
Issue date: 2022-11-02
CVE Names: CVE-2022-23181
====================================================================
1. Summary:

An update is now available for Red Hat JBoss Web Server 5.7 on Red Hat
Enterprise Linux versions 7, 8, and 9.

Red Hat Product Security has rated this update as having a security impact
of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which
gives a detailed severity rating, is available for each vulnerability from
the CVE link(s) in the References section.

2. Relevant releases/architectures:

Red Hat JBoss Web Server 5.7 for RHEL 7 Server – noarch, x86_64
Red Hat JBoss Web Server 5.7 for RHEL 8 – noarch, x86_64
Red Hat JBoss Web Server 5.7 for RHEL 9 – noarch, x86_64

3. Description:

Red Hat JBoss Web Server is a fully integrated and certified set of
components for hosting Java web applications. It is comprised of the Apache
Tomcat Servlet container, JBoss HTTP Connector (mod_cluster), the
PicketLink Vault extension for Apache Tomcat, and the Tomcat Native
library.

This release of Red Hat JBoss Web Server 5.7.0 serves as a replacement for
Red Hat JBoss Web Server 5.6.1. This release includes bug fixes,
enhancements and component upgrades, which are documented in the Release
Notes, linked to in the References.

Security Fix(es):

* tomcat: local privilege escalation vulnerability (CVE-2022-23181)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
page(s) listed in the References section.

4. Solution:

Before applying the update, back up your existing Red Hat JBoss Web Server
installation (including all applications and configuration files).

For details on how to apply this update, which includes the changes
described in this advisory, refer to:

https://access.redhat.com/articles/11258

5. Bugs fixed (https://bugzilla.redhat.com/):

2047417 – CVE-2022-23181 tomcat: local privilege escalation vulnerability

6. Package List:

Red Hat JBoss Web Server 5.7 for RHEL 7 Server:

Source:
jws5-ecj-4.20.0-1.redhat_00002.1.el7jws.src.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el7jws.src.rpm
jws5-tomcat-native-1.2.31-10.redhat_10.el7jws.src.rpm

noarch:
jws5-ecj-4.20.0-1.redhat_00002.1.el7jws.noarch.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-admin-webapps-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-docs-webapp-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-el-3.0-api-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-java-jdk11-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-java-jdk8-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-javadoc-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-jsp-2.3-api-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-lib-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-selinux-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-servlet-4.0-api-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm
jws5-tomcat-webapps-9.0.62-9.redhat_00005.1.el7jws.noarch.rpm

x86_64:
jws5-tomcat-native-1.2.31-10.redhat_10.el7jws.x86_64.rpm
jws5-tomcat-native-debuginfo-1.2.31-10.redhat_10.el7jws.x86_64.rpm

Red Hat JBoss Web Server 5.7 for RHEL 8:

Source:
jws5-ecj-4.20.0-1.redhat_00002.1.el8jws.src.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el8jws.src.rpm
jws5-tomcat-native-1.2.31-10.redhat_10.el8jws.src.rpm

noarch:
jws5-ecj-4.20.0-1.redhat_00002.1.el8jws.noarch.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-admin-webapps-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-docs-webapp-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-el-3.0-api-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-javadoc-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-jsp-2.3-api-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-lib-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-selinux-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-servlet-4.0-api-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm
jws5-tomcat-webapps-9.0.62-9.redhat_00005.1.el8jws.noarch.rpm

x86_64:
jws5-tomcat-native-1.2.31-10.redhat_10.el8jws.x86_64.rpm
jws5-tomcat-native-debuginfo-1.2.31-10.redhat_10.el8jws.x86_64.rpm

Red Hat JBoss Web Server 5.7 for RHEL 9:

Source:
jws5-1-8.el9jws.src.rpm
jws5-ecj-4.20.0-1.redhat_00002.1.el9jws.src.rpm
jws5-javapackages-tools-3.4.1-5.15.11.el9jws.src.rpm
jws5-jboss-logging-3.4.1-1.Final_redhat_00001.1.el9jws.src.rpm
jws5-mod_cluster-1.4.3-2.Final_redhat_00002.1.el9jws.src.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el9jws.src.rpm
jws5-tomcat-native-1.2.31-10.redhat_10.el9jws.src.rpm
jws5-tomcat-vault-1.1.8-4.Final_redhat_00004.1.el9jws.src.rpm

noarch:
jws5-ecj-4.20.0-1.redhat_00002.1.el9jws.noarch.rpm
jws5-javapackages-tools-3.4.1-5.15.11.el9jws.noarch.rpm
jws5-jboss-logging-3.4.1-1.Final_redhat_00001.1.el9jws.noarch.rpm
jws5-mod_cluster-1.4.3-2.Final_redhat_00002.1.el9jws.noarch.rpm
jws5-mod_cluster-tomcat-1.4.3-2.Final_redhat_00002.1.el9jws.noarch.rpm
jws5-python-javapackages-3.4.1-5.15.11.el9jws.noarch.rpm
jws5-tomcat-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-admin-webapps-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-docs-webapp-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-el-3.0-api-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-javadoc-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-jsp-2.3-api-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-lib-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-selinux-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-servlet-4.0-api-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm
jws5-tomcat-vault-1.1.8-4.Final_redhat_00004.1.el9jws.noarch.rpm
jws5-tomcat-vault-javadoc-1.1.8-4.Final_redhat_00004.1.el9jws.noarch.rpm
jws5-tomcat-webapps-9.0.62-9.redhat_00005.1.el9jws.noarch.rpm

x86_64:
jws5-1-8.el9jws.x86_64.rpm
jws5-runtime-1-8.el9jws.x86_64.rpm
jws5-tomcat-native-1.2.31-10.redhat_10.el9jws.x86_64.rpm
jws5-tomcat-native-debuginfo-1.2.31-10.redhat_10.el9jws.x86_64.rpm

These packages are GPG signed by Red Hat for security. Our key and
details on how to verify the signature are available from
https://access.redhat.com/security/team/key/

7. References:

https://access.redhat.com/security/cve/CVE-2022-23181
https://access.redhat.com/security/updates/classification/#moderate

8. Contact:

The Red Hat security contact is <secalert@redhat.com>. More contact
details at https://access.redhat.com/security/team/contact/

Copyright 2022 Red Hat, Inc.
—–BEGIN PGP SIGNATURE—–
Version: GnuPG v1

iQIVAwUBY2JoxdzjgjWX9erEAQgBthAAoenDKKMVhg3cftJvIZ+HbMcReE/vRlif
NSofyo787+9uOGOL4sCaveMdiBtiw06bzcLsd44STR7ug41vETKbJa3k87b1HY5S
jGzYvFk2fHKkb+9HnMs3UNCFi9TV361IA4hkV4yTtgGxtUKhd5hdrEq4cR0c3BMo
9pJi7+F4MKuChzUwWcJD8nnrGckwk6/I7QXUDVZisCwy2PIUKvhVMlJf6ojXXKIv
TgIAKeo890DmRQRr8D5Plc1h7MYAr+YFSaTftrifE1wanBiIF0NHiVcWO845LaMc
bwSKsF0dcx7BOzs7huxkK870M1KnYrdSLFgYQtSz8Az119vrQCukfGfuF+2LfxxT
jNwzZ7VJa8Coci5v0Lez+U/b4r5WqtUkHheUqrYvC0PP37Swucj3MhRk657KvSsS
u3NyhlnIZmWJOel4B2KSCmIvGSj8irAmAOAWCFhSFaRZFDGfRQ+D3k/sb1kIWtQB
VGheaUXm11sOqvl+T2ecinUvddC05sRvvcSY0iXEyupFvpOUsG3DpYQI6c0ffGc6
QTnMdWLMCxRSSe3g21hJ4QTzYMi6oSa+2KLho8GlJe0d1PXR3bS128/2h4/R5bmJ
18XF/i/tC7/9OtZfkoTNkZh6AmjI/tH0qj6XlsU2B3sTd8rBJ0Ry3twhhdUKBIdT
PmiEP6NSVY8=R1gB
—–END PGP SIGNATURE—–

RHSA-announce mailing list
RHSA-announce@redhat.com
https://listman.redhat.com/mailman/listinfo/rhsa-announce